@echo off
if exist cfg\shinobi.cfg move cfg\shinobi.cfg cfg\shinobi.bak
if exist hi\shinobi.hi move hi\shinobi.hi hi\shinobi.bak
if exist nvram\shinobi.nv move nvram\shinobi.nv nvram\shinobi.bak
if exist diff\shinobi.dif move diff\shinobi.dif diff\shinobi.bak

mame shinobi -record shinobi.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\shinobi.bak move cfg\shinobi.bak cfg\shinobi.cfg
if exist hi\shinobi.bak move hi\shinobi.bak hi\shinobi.hi
if exist nvram\shinobi.bak move nvram\shinobi.bak nvram\shinobi.nv
if exist diff\shinobi.bak move diff\shinobi.bak diff\shinobi.dif
